
Figure - Bug #113714
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】WLAN-点击添加网络会造成setting崩溃
2022-11-04 18:03 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-04

Priority: Urgent Due date: 2022-11-07

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211040348

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-网络与互联网

2、打开WLAN

3、滑动到页面底部，点击添加网络

【预期结果】

3、进入添加网络的配置页面

【实际结果】

3、直接闪退回主界面，重复操作出现“设置屡次停止运行”的提示

【复现率】

必现

History

#1 - 2022-11-07 14:53 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#2 - 2022-11-07 17:07 - CD AF-陈羽杰

- Due date set to 2022-11-07

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地已修复

■ My analysis

对点击事件判断时，未对空Key做判断，导致空指针异常。
■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/160565

#3 - 2022-11-07 17:07 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

#4 - 2022-11-08 10:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

11.8  网络可成功被添加，验证通过

#5 - 2022-11-08 10:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:50 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160565 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix WifiSettings Crash Bug1.Fix add network settings crashTC-RID: 1201-0201801IssueID: TS-R-BUG-113714Change-Id:

Ica01edcadcbd224bc538a3ec9b2ead420636aa9e

Files

1800.png 195 KB 2022-11-04 CD TEST-方永红

logcat.txt 1.82 MB 2022-11-04 CD TEST-方永红
